#!/bin/bash
export KUBERNETES_ENV_FILE=$(realpath ${KUBERNETES_ENV_FILE=:-"./kube.exemple.env"})
export HOST=${HOST:-"http://localhost:8000"}
docker network create oc | true

docker compose down
cd ./tools && docker compose  -f ./docker-compose.dev.yml up --force-recreate -d
docker compose  -f ./docker-compose.traefik.yml up --force-recreate -d  && cd ..

cd ../..

REPOS=(
    "oc-auth"
    "oc-catalog"
    "oc-datacenter"
    "oc-monitord"
    "oc-peer"
    "oc-shared"
    "oc-scheduler"
    "oc-schedulerd"
    "oc-workflow"
    "oc-workspace"
    "oc-front"
)
for i in "${REPOS[@]}"
do
   echo "Building $i"
   docker kill $i | true
   docker rm $i | true
   cd ./$i 
   cp $KUBERNETES_ENV_FILE ./env.env
   make run-docker
   cd ..
done
